Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003263 [JEDI VCL] 00 JVCL Components major always 2005-10-11 00:28 2005-11-22 06:12
Reporter shicola2 View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003263: TOpenDialog (TSaveDialog) filterindex is ignored
Description TOpenDialog Filterindex is ignored.
I cannot access real filterindex from dialog, i allways get 0.


Additional Information This bug is in 2.10 version too.
Tags No tags attached.
Attached Files ? file icon FilterIndexBug.exe [^] (336,896 bytes) 2005-10-13 23:36

- Relationships

-  Notes
(0008013)
shicola2 (reporter)
2005-10-11 00:40

Sorry, I mean TJvOpenDialog and TJvSaveDialog.
(0008023)
remkobonte (developer)
2005-10-13 15:26

I can not reproduce this bug. So please make a demo program that shows the error and upload it to this bug report)
(0008026)
shicola2 (reporter)
2005-10-13 23:27

sorry for some mistakes.
i don't have version 3.0 currently installed but i post demo from version 2.10 with TJvOpenDialog2000 where is the same bug.
And i allways get filterindex 1 not 0.

sample from demo (jvcl 2.10):

procedure TForm1.Button1Click(Sender: TObject);
begin
  JvOpenDialog20001.filter := 'ext 1|*.1|ext 2|*.2|ext 3|*.3';
  if JvOpenDialog20001.execute then
    showmessage(inttostr(JvOpenDialog20001.filterindex));
end;

in jvcl 3.0 is JvOpenDialog20001 deprecated and can be used JvOpenDialog which has the same bug.
(0008027)
shicola2 (reporter)
2005-10-13 23:42

Finally note:

TOpenDialog - OK
TJvOpenDialog 2.10 - OK
TJvOpenDialog2000 2.10 - bug
TJvOpenDialog 3.0 - bug

I tested it on D5 Ent. WinXP.
(0008051)
shicola2 (reporter)
2005-10-23 22:46

I fix it in JvDialog.pas, in function TJvOpenDialog.TaskModalDialog:

...
DialogData2000.FlagsEx := PlacesBar[FShowPlacesBar];
Result := inherited TaskModalDialog(DialogFunc, DialogData2000);
//ShiCola add - bug with FilterIndex
TOpenFileName(DialogData).nFilterIndex := DialogData2000.OpenFileName.nFilterIndex;
{$ELSE}
...

bye ShiCola
(0008119)
AHUser (developer)
2005-11-22 06:12

Fixed in CVS

- Issue History
Date Modified Username Field Change
2005-10-11 00:28 shicola2 New Issue
2005-10-11 00:40 shicola2 Note Added: 0008013
2005-10-13 15:26 remkobonte Note Added: 0008023
2005-10-13 15:26 remkobonte Status new => feedback
2005-10-13 23:27 shicola2 Note Added: 0008026
2005-10-13 23:36 shicola2 File Added: FilterIndexBug.exe
2005-10-13 23:42 shicola2 Note Added: 0008027
2005-10-23 22:46 shicola2 Note Added: 0008051
2005-11-22 06:12 AHUser Status feedback => resolved
2005-11-22 06:12 AHUser Resolution open => fixed
2005-11-22 06:12 AHUser Assigned To => AHUser
2005-11-22 06:12 AHUser Note Added: 0008119


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker